Status: Closed Priority: Must have
Author: Marc Neuhaus Category: AOP
Updated: 2011-12-16 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: methodAnnotatedWith in AOP doesn't work
Description

There is a problem with the PATTERN_MATCHPOINTCUTDESIGNATOR in the class PointcutExpressionParser.php on line 133.

if you try to create an methodAnnotatedWith aspect it fails, because the regex captures only method and not methodAnnotatedWith.

Greetings Marc

History
#1 - 2011-12-14 15:59 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To changed from Robert Lemke to Karsten Dambekalns
- Target version set to 1.0.2

#2 - 2011-12-15 16:49 - Karsten Dambekalns
- Status changed from Accepted to Needs Feedback

Is this still an issue? The ordering inside the pattern looks correct, thus methodAnnotatedWith should be matched.

#3 - 2011-12-15 18:31 - Marc Neuhaus

Weird, works for me too now. you can close this ticket.

#4 - 2011-12-16 11:30 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed
- % Done changed from 0 to 100

Thanks for the feedback!
